#include <iostream>
#include <string>
using namespace std;

int main()
{
    long long int n,brojac = 1,n2,i=1,kopija,greska;
    string odgovori = "";
    cin >> n;
    if(n > 10) return 0;
    while(brojac <= n){
    greska = 0;
    cin >> n2;
    long long int niz1[n2],niz2[n2];
    i = 1;
    while(i <= n2){
        cin >> niz1[i];
        i++;
    }
    i = 1;
    while(i <= n2){
        cin >> niz2[i];
        i++;
    }
    kopija = n2;
    for(i = 1; i <= n2; i++){
        if(niz1[i] != (niz2[kopija]*(-1))){
         greska++;
        }
    kopija--;
    }
    if(greska == 0){
        odgovori += "DA\n";
    }else{
    odgovori += "NE\n";
    }
    brojac++;
    }
    cout << odgovori << endl;
    return 0;
    }